﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace BreadcrumbTest
{
	public class MainViewModel : ViewModelBase
	{
		private MyItem root;
		private string currentXPath;

		public MainViewModel()
		{
			this.Root = new MyItem() { XPathName = "Root" };
			for (int i = 0; i < 3; i++)
			{
				var newItem = new MyItem() { XPathName = "Item " + i };
				for (int j = 0; j < 3; j++)
				{
					var newItem2 = new MyItem() { XPathName = "Item " + i + " . " + j };
					for (int z = 0; z < 3; z++)
					{
						var newItem3 = new MyItem() { XPathName = "Item " + i + " . " + j + " . " + z };
						for (int p = 0; p < 3; p++)
						{
							var newItem4 = new MyItem() { XPathName = "Item " + i + " . " + j + " . " + z + " . " + p };
							newItem3.AllFields.Add(newItem4);
						}
						newItem2.AllFields.Add(newItem3);
					}
					newItem.AllFields.Add(newItem2);
				}
				this.Root.AllFields.Add(newItem);
			}
		}

		public string CurrentXPath
		{
			get
			{
				return this.currentXPath;
			}
			set
			{
				if (this.currentXPath != value)
				{
					this.currentXPath = value;
					this.OnPropertyChanged("CurrentXPath");
				}
			}
		}

		public MyItem Root
		{
			get
			{
				return this.root;
			}
			set
			{
				if (this.root != value)
				{
					this.root = value;
					this.OnPropertyChanged("Root");
				}
			}
		}
	}
}
